## xracer 0.96.9.1

=== debian/changelog ===
xracer (0.96.9.1-9) unstable; urgency=low

  * Add debian/quilt_patches/0160_fix_hang.patch
    - Fix hang (Closes: #879045)
  * Update all -p0 patches to -p1
  * Bump Standards-Version to 4.1.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 20 Oct 2017 01:55:34 +0800

xracer (0.96.9.1-8) unstable; urgency=low

  * Add debian/quilt_patches/0150_gcc_5_ftbfs.patch
    - gcc-5 porting. (Closes: #778189)
  * Bump Standards-Version to 3.9.6: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 04 Aug 2015 11:41:19 +0800

xracer (0.96.9.1-7) unstable; urgency=low

  * Bump Standards-Version to 3.9.5: nothing needs to be changed.
  * Fix FTBFS for make 4.0 (Closes: #725515)
    - Add debian/quilt_patches/0130_intl_Makefile.in.patch
  * Move to dh-python2. Build-Depends on python.
  * Bump debhelper version to 9:
    - Add debian/quilt_patches/0140_secure_fprintf_format_string.patch
      to fix unsecure printf format.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 02 Oct 2014 01:37:26 +0800

xracer (0.96.9.1-6) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #647109)
  * Update debian/copyright for latest DEP-5 format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Nov 2011 16:57:50 +0800

xracer (0.96.9.1-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.2
    - Remove *.la (Closes: #633263)
  * Fix debian/copyright Format to latest Dep-5
  * Fix debian/control for python-support

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 11 Jul 2011 00:46:16 +0800

xracer (0.96.9.1-4) unstable; urgency=low

  * debian/control: Change maintainer field to my debian mail address.
  * Use debhelper7 + DebSrc3.0
    - Use binaries directly in debian/* without uuencode
  * Update debian/copyright to machine readable format
  * Fix stripping .pl extensions doesn't work anymore (Closes: #608206)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 09 Feb 2011 00:53:53 +0800

xracer (0.96.9.1-3) unstable; urgency=low

  * Change menu item from Games/Arcade to Games/Action

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Mon, 27 Aug 2007 00:26:23 +0800

xracer (0.96.9.1-2) unstable; urgency=low

  * Add 0065_fix_screenshot_hanging.patch to fix the bug: pressing the "s"
    key (screenshot) makes the program hang while grabbing the X focus

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Wed, 22 Aug 2007 22:19:25 +0800

xracer (0.96.9.1-1) unstable; urgency=low

  * Upstream tarball changed without changing the version, forcing an
    increment.
  * New Maintainer (Closes: #414529)
  * Split patches from diff.gz
  * Use autotools to regenerate configure and Makefile.in
  * Fixed libraries location: moved them from /usr/share to /usr/lib.
    Thanks to Margarita Manterola <marga@debian.org> (Closes: #392397)
  * Fixed FTBFS if build twice in a row (Closes: #424101)
  * Add missing manpages
  * Bump debhelper compat level to 5
  * Update FSF address in POT file (Closes: #431764)
  * Add l10n translation for Vietnamese (Closes: #431037)
    Thanks to Clytie Siddall <clytie@riverland.net.au>
  * Add l10n translation for Russian (Closes: #431309)
    Thanks to Yuri Kozlov <kozlov.y@gmail.com>
  * Add l10n translation for German (Closes: #431762)
    Thanks to Helge Kreutzmann <debian@helgefjell.de>
  * Add l10n translation for Arabic (Closes: #431982)
    Thanks to Ossama Khayat <okhayat@yahoo.com>
  * Add l10n translation for Portuguese (Closes: #432187)
    Thanks to Traduz - Portuguese Translation Team <traduz@debianpt.org> and
    ardoRic <ardoric@gmail.com>

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 12 Jun 2007 16:55:37 +0800

xracer (0.96.9-13) unstable; urgency=low

  * QA upload.
  * Setting Maintainer to Debian QA Group <packages@qa.debian.org> 

 -- Neil Williams <codehelp@debian.org>  Mon, 16 Apr 2007 22:33:20 +0100

xracer (0.96.9-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-dep on libxi-dev to fix FTBFS (Closes: #378296).
  * Don't ignore errors from configure.
  * Play with touch so the package builds even when the autotools are
    installed and I don't have to autoreconf, which would be a mess (xracer
    uses automake 1.3 and libtool 1.2b).

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 27 Jul 2006 11:45:05 +0200

xracer (0.96.9-12) unstable; urgency=low

  * Acknowledge NMU. (Closes: #249754, #252860, #259957)
  * Add sv translation, thanks to Daniel Nylander. (Closes: #345178)

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 02 Jan 2006 21:15:18 +0100

xracer (0.96.9-11.1) unstable; urgency=low

  * NMU
  * Apply patch from Toni Timonen <ttimonen@users.sourceforge.net>
    (closes: #252860, #249754)
  * Update config.{sub,guess} automaticaly as mentionned in autotools-dev

 -- Pierre Machard <pmachard@debian.org>  Sat, 17 Jul 2004 16:00:15 +0200

xracer (0.96.9-11) unstable; urgency=medium

  * Change dependency in xracer-tools from python-base to python.
    (Closes: #119215)
  * Make the configuration file code less ugly.
  * Remove obsolete lintian overrides.
  * Update Standards-Version. No changes were needed.
  * Update config.{guess,sub} just to be safe.
  * Ran update-po in po/ directory before building the source package.

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 26 Nov 2001 19:03:12 +0100

xracer (0.96.9-10) unstable; urgency=medium

  * Added very limited configuration file support.

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 16 Jul 2001 14:13:56 +0200

xracer (0.96.9-9) unstable; urgency=low

  * Update config.{guess,sub} for HPPA. (Closes: #104867)
  * Use html2text to generate text documentation, it does a better job than
    lynx. Make sure to Build-Depend: on it (though debhelper already does).

 -- Filip Van Raemdonck <mechanix@debian.org>  Sat, 14 Jul 2001 10:38:40 +0200

xracer (0.96.9-8) unstable; urgency=low


