=== debian/control ===
Source: xracer
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: autoconf (>= 2.52),
               automake,
               debhelper (>= 9),
               dh-python,
               docbook-to-man,
               freeglut3-dev,
               gettext,
               html2text,
               libjpeg-dev,
               libtool,
               libxi-dev,
               libxmu-dev,
               netpbm,
               perl,
               python,
               quilt (>= 0.46-7~)
Build-Conflicts: autoconf2.13
Standards-Version: 4.1.1

Package: xracer
Architecture: any
Depends: netpbm, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: xracer-tools
Description: Futuristic racing game
 Xracer is a Wipeout clone, distributed under the GPL. It should be able to use
 any OpenGL 1.1 compliant library. A 3D accelerator card is required.
 .
 This is the game data and binary.
 .
 If you want to build new tracks or other game data, you may also want to
 install the xracer-tools package.

Package: xracer-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: xracer
Suggests: blender
Description: Futuristic racing game - developer tools
 Xracer is a Wipeout clone, distributed under the GPL. It should be able to use
 any OpenGL 1.1 compliant library. A 3D accelerator card is required.
 .
 These are a few tools to design your own game data. In order to play the game,
 you will need the xracer package.
