=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export QUILT_PATCH_DIR = debian/quilt_patches

SRCDIR=xracer-0.96.9

%:
	dh $@ --with quilt,python2

override_dh_quilt_patch: extract-stamp
	dh_quilt_patch

override_dh_quilt_unpatch:
	-dh_quilt_unpatch
	rm -rf $(CURDIR)/$(SRCDIR)
	rm -rf $(CURDIR)/.pc

override_dh_auto_configure:
	ln -sf /usr/share/gettext/config.rpath ./$(SRCDIR)
	cd $(SRCDIR) && libtoolize -f -c
	cd $(SRCDIR) && autoreconf -fi
	dh_auto_configure -D $(SRCDIR) \
		-- --program-transform-name='s/[.]pl$$//' \
		--bindir=/usr/games \
		--datadir=/usr/share/games \
		--libdir=/usr/lib/games

override_dh_auto_build: xracer-mktube.1 xracer-mktrack.1 xracer-mktrackscenery.1 xracer-mkmeshnotex.1
	dh_auto_build -B $(SRCDIR)
	pod2man $(SRCDIR)/tools/blender2track/xracer-blender2track.pl xracer-blender2track.1p
	pod2man $(SRCDIR)/tools/mkcraft/xracer-mkcraft.pl xracer-mkcraft.1p

override_dh_auto_install:
	dh_auto_install -D $(SRCDIR)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/xracer-data
	rm -rf $(CURDIR)/$(SRCDIR)

extract: extract-stamp
extract-stamp: 
	tar -zxvf xracer-0.96.9.tar.gz
	#tar zxvf xracer-data.tar.gz
	touch $@

xracer-mktube.1: debian/xracer-mktube.sgml
	docbook-to-man $< > $@
xracer-mktrack.1: debian/xracer-mktrack.sgml
	docbook-to-man $< > $@
xracer-mktrackscenery.1: debian/xracer-mktrackscenery.sgml
	docbook-to-man $< > $@
xracer-mkmeshnotex.1: debian/xracer-mkmeshnotex.sgml
	docbook-to-man $< > $@

override_dh_makeshlibs:
	dh_makeshlibs -Xlibcraftsimple -Xlibtracksimple

get-orig-source:
	mkdir $(CURDIR)/xracer-0.96.9.orig
	cd $(CURDIR)/xracer-0.96.9.orig && wget -c \
		http://www.annexia.org/_file/xracer-0.96.9.tar.gz
	cd $(CURDIR)/xracer-0.96.9.orig && wget -c \
		http://www.annexia.org/_file/xracer-data.tar.gz
	cd $(CURDIR)/xracer-0.96.9.orig && wget -c \
		http://www.annexia.org/_file/xracer-data-source.tar.gz.part1
	cd $(CURDIR)/xracer-0.96.9.orig && wget -c \
		http://www.annexia.org/_file/xracer-data-source.tar.gz.part2
	tar -czvf xracer_0.96.9.orig.tar.gz xracer-0.96.9.orig
	rm -rf $(CURDIR)/xracer-0.96.9.orig
